PixVerse V5 Effects
Whakauru
pixverse/v5/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/v5/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixverse/v5/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixverse/v5/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/mi/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "pixverse/v5/effects",
"input": {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Karangahia te tauira PixVerse V5 Effects (pixverse/v5/effects) mā te Doitong API. Tuhinga mō ngā āpiha: https://doitong.com/mi/developers/models/pixverse/v5/effects.md
POST https://api.doitong.com/v1/run/pixverse/v5/effects?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Mēnā ko "queued" "running" rānei te tūnga whakautu, uiuitia GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 kia "succeeded"; kei outputs[].url ngā kōnae. Ko POST https://api.doitong.com/v1/quote/pixverse/v5/effects me taua tinana anō ka whakahoki i te utu tika i mua i te whakahaere.
Ngā kōnae pēnei i te tauira: $ 0.20 200 whiwhinga API ka inea ō kōnae i mua i te whakahaere Whakahaerehia ki tēnei whārangi
Tō kī API hou. Ka whakaaturia ināianei anake, ā, kua whakaurua kētia ki te waehere me te āpure kī API kei raro. Me huna: kaua rawa e waiho ki te waehere e whakahaere ana i roto i te pūtirotiro.
Kei konei tō hua tuatahi
Hangaia he tono ki raro nei, ka whakahaere mā tō kī API. Ka tāruatia ngā putanga ki tō mātou rokiroki, ka puritia mō ake tonu atu, mō rānei 7 rā mō te kore utu.
Hangaia he tono
Ka hangaia ngā mana whakahaere mai i te aronuinga o te tauira. Ka whakahoungia te waehere me te utu ina whakarerekē koe.
/run/pixverse/v5/effects?wait=20
utu → $ 0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/v5/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixverse/v5/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixverse/v5/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "pixverse/v5/effects",
"input": {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
Whakahaerehia tēnei tono
Ka noho tō kī ki tēnei pūtirotiro: ka tukuna ki te Doitong API anake, ā, ka tiakina ki te localStorage anake ina tohua e koe te Mahara. Tikina he kī API
Mō PixVerse V5 Effects
Ka tango i `image_url` hei anga tuatahi, ka whakamahi i tētahi o ngā pānga 154 kua whakaingoatia mā `effect`. Ko te putanga he ataata 360p, 540p, 720p, 1080p rānei, me `duration` 5, 8 hēkona rānei. E tautoko ana i `negative_prompt`.
Ngā tawhā
Tukuna te ingoa tōmua, te ingoa taketake rānei, kaua e rua. Ngā ingoa tōmua
effecte hiahiatia ana
+138 anō
Punch FaceCreepy Devil SmileThunder GodEye Zoom ChallengeWho's Arrested?Baby ArrivedWerewolf RageBald SwipeBOOM DROPHuge CutieLiquid MetalSharksnap!Dust Me Away3D Figurine FactorBikini UpMy GirlfriendsMy BoyfriendsSubject 3 FeverEarth ZoomPole DanceVroom DanceGhostFace TerrorDragon EvokerSkeletal BaeSummoning succubusHalloween Voodoo Doll3D Naked-Eye ADPackage ExplosionDishes ServedOcean adSupermarket ADTree dollCome Feel My AbsThe Bicep FlexLondon Elite VibeFlora Nymph GownChristmas CostumeIt's SnowyReindeer CruiserSnow Globe MakerPet Christmas OutfitAdopt a Polar PalCat Christmas BoxStarlight Gift BoxXmas PosterPet Christmas TreeCity Santa HatStocking SweetieChristmas NightXmas Front Page KarmaGrinch's Xmas HijackGiant ProductTruck Fashion ShootBeach ADShoal SurroundMechanical AssemblyLighting ADBillboard ADProduct close-upParachute DeliveryDreamlike CloudMacaron MachinePoster ADTruck ADGraffiti AD3D Figurine FactoryThe Exclusive First ClassArt Zoom ChallengeI QuitHitchcock Dolly ZoomSmell the LensI believe I can flyStrikout DanceCourtside CamPit Crew MomentK-Baseball SprintToddler DoodleIdol EndingApex DanceOmniHero ForgePalm DecodeThe Age RippleMy Future Is LimitlessKnee SlideEpic Goal SaveSideline Ball BoyCup CelebrationVictory RoarVuvuzela FanWorld Champion LiftTunnel to CaptainLiquid Soccer MorphJump Into Crowd 2Golden Pitch CrasherStadium Fan CamBroadcast Moto GPThe Grotesque ClayRookie Star CardThe Final HugSharp Post-Match CommentStreet MaverickPitch LegendOne Step At A TimeBirthday MirrorSuperstar LobbyFinal Battle RoomTop of the WorldMini Me UnboxedWonderPOP SurpriseWhite ChicksKiss meWhat a DayThe Last Leap at SunsetTiny Sticker Chef ChaosMini Squeeze ToyTearful GunmanStreet Fashion CaricatureMini Me MakeoverStreet Art AwakeningHug TogetherACAI dance DuetPUBG Winner Hit!Blocky Mini-MeCheat Day BustedMiniSocial RechargeMy Little Perler CharmWhere did this cobweb come from?Holy Beast Summoning TechniqueIT'S THE FIRST OF THE MONTHPet EditorialThree lifetime bondPixel WorldMint in BoxHands up, HandFlora Nymph GoSomber EmbraceBeam me upSuit Swaggerimage_urle hiahiatia ana
image
resolutionkōwhiringa
durationkōwhiringa
negative_promptkōwhiringa
enable_safety_checkerkōwhiringa
Mō ngā tawhā kōnae, whakamahia he URL tūmatanui https://, he URI data: tae atu ki te 10 MB, he file_url rānei o tētahi tukuake. Ngā kōnae
Putanga
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "pixverse/v5/effects",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 200,
"usd": "0.20",
"charged": 200,
"refunded": 0
},
"input": {
"effect": "Kiss Me AI",
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Ngā āpure o te putanga
- video
- object {url, content_type, file_name, file_size}Te ataata i hangaia e te tauira.
Ētahi atu tauira: Atahanga ki te Ataata
Mō ngā āpiha AI: kei te wātea tēnei whārangi hei Markdown ki https://doitong.com/mi/developers/models/pixverse/v5/effects.md. Ngā tauira me ngā aratohu katoa: https://doitong.com/developers/llms.txt